# Uses of Interface
org.apache.avro.data.ErrorBuilder

Packages that use ErrorBuilder
Package
Description
org.apache.avro.data
Interfaces and base classes shared by generic, specific and reflect.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of ErrorBuilder in org.apache.avro.data

Methods in org.apache.avro.data that return ErrorBuilder
Modifier and Type
Method
Description
`ErrorBuilder<T>`
ErrorBuilder.`clearCause()`
Clears the cause
`ErrorBuilder<T>`
ErrorBuilder.`clearValue()`
Clears the value
`ErrorBuilder<T>`
ErrorBuilder.`setCause(Throwable cause)`
Sets the error cause
`ErrorBuilder<T>`
ErrorBuilder.`setValue(Object value)`
Sets the value

## Uses of ErrorBuilder in org.apache.avro.specific

Classes in org.apache.avro.specific that implement ErrorBuilder
Modifier and Type
Class
Description
`class`
`SpecificErrorBuilderBase<T extends SpecificExceptionBase>`
Abstract base class for specific ErrorBuilder implementations.